com.ihr.xbrl.om.xdt

## Class XDTValidationDimension

- java.lang.Object
- - com.ihr.xbrl.om.xdt.XDTValidationDimension

-     public class XDTValidationDimension
      extends java.lang.Object

  The Class XDTValidationDimension.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XDTValidationDimension(javax.xml.namespace.QName qName)` Instantiates a new XDT validation dimension.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getName()` Gets the name.
    `java.lang.String` | `getQName(javax.xml.namespace.QName q)` Gets the q name.
    `int` | `hashCode()`
    `void` | `setMessageToken(java.lang.String token)` Sets the message token.
    `void` | `setValidationResult(boolean allDimsOk)` Sets the validation result.
    `void` | `setValueNotInDomain(java.lang.String token, javax.xml.namespace.QName dimValue, java.util.Collection<javax.xml.namespace.QName> collection)` Sets the value not in domain.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XDTValidationDimension

          public XDTValidationDimension(javax.xml.namespace.QName qName)

      Instantiates a new XDT validation dimension.
      Parameters:
        `qName` - the q name

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Gets the name.
      Returns:
        the name

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getQName

          public java.lang.String getQName(javax.xml.namespace.QName q)

      Gets the q name.
      Parameters:
        `q` - the q
      Returns:
        the q name

    - #### setValidationResult

          public void setValidationResult(boolean allDimsOk)

      Sets the validation result.
      Parameters:
        `allDimsOk` - the new validation result

    - #### setMessageToken

          public void setMessageToken(java.lang.String token)

      Sets the message token.
      Parameters:
        `token` - the new message token

    - #### setValueNotInDomain

          public void setValueNotInDomain(java.lang.String token,
                                 javax.xml.namespace.QName dimValue,
                                 java.util.Collection<javax.xml.namespace.QName> collection)

      Sets the value not in domain.
      Parameters:
        `token` - the token
        `dimValue` - the dim value
        `collection` - the collection

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`